tigase.jaxmpp.core.client.xmpp.modules.roster

## Class RosterModule.ItemUpdatedHandler.ItemUpdatedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<RosterModule.ItemUpdatedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.roster.RosterModule.ItemUpdatedHandler.ItemUpdatedEvent

- Enclosing interface:
    RosterModule.ItemUpdatedHandler

      public static class RosterModule.ItemUpdatedHandler.ItemUpdatedEvent
      extends JaxmppEvent<RosterModule.ItemUpdatedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemUpdatedEvent(SessionObject sessionObject, RosterItem currentItem, RosterModule.Action action, Set<String> modifiedGroups)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(RosterModule.ItemUpdatedHandler handler)` Invokes handlers method.
    `RosterModule.Action` | `getChangeAction()`
    `RosterItem` | `getItem()`
    `Set<String>` | `getModifiedGroups()`
    `void` | `setChangeAction(RosterModule.Action action)`
    `void` | `setItem(RosterItem item)`
    `void` | `setModifiedGroups(Set<String> modifiedGroups)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemUpdatedEvent

          public ItemUpdatedEvent(SessionObject sessionObject,
                                  RosterItem currentItem,
                                  RosterModule.Action action,
                                  Set<String> modifiedGroups)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(RosterModule.ItemUpdatedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<RosterModule.ItemUpdatedHandler>`
      Parameters:
        `handler` - handler

    - #### getChangeAction

          public RosterModule.Action getChangeAction()

    - #### setChangeAction

          public void setChangeAction(RosterModule.Action action)

    - #### getItem

          public RosterItem getItem()

    - #### setItem

          public void setItem(RosterItem item)

    - #### getModifiedGroups

          public Set<String> getModifiedGroups()

    - #### setModifiedGroups

          public void setModifiedGroups(Set<String> modifiedGroups)

Copyright © 2006–2017 Tigase. All rights reserved.